IF OBJECT_ID('dbo.vw_fco_pi_pens_rt2') IS NOT NULL
    DROP VIEW dbo.vw_fco_pi_pens_rt2
GO
CREATE VIEW dbo.vw_fco_pi_pens_rt2
AS
/*************************************************************************/
-- Modulo Fiscal Colombiano 2.0 ADAM V3
-- Descripcion: Archivo Plano Planilla Integrada Pensionados Registro Tipo 2
-- Autor: Juan Carlos Leguizamon
-- Fecha: Julio 2006
-- Revisiones:
/*************************************************************************/
SELECT
    compania, anio, mes, sucursal, trabajador, secuencia, 
    registro2 =
    '02' + 
    secuencia + 
    dbo.fn_fco_valida_nombre(Convert(char(20), pens_ape1)) +
    dbo.fn_fco_valida_nombre(Convert(char(30), pens_ape2)) +
    dbo.fn_fco_valida_nombre(Convert(char(20), pens_nom1)) +
    dbo.fn_fco_valida_nombre(Convert(char(30), pens_nom2)) +
    pens_tdoc +
    CONVERT(char(16), pens_id) + 
    RIGHT('00' + RTRIM(tipo_pension), 2) + 
    pension_compartida +
    dbo.fn_fco_valida_nombre(Convert(char(20), caus_ape1)) +
    dbo.fn_fco_valida_nombre(Convert(char(30), caus_ape2)) +
    dbo.fn_fco_valida_nombre(Convert(char(20), caus_nom1)) +
    dbo.fn_fco_valida_nombre(Convert(char(30), caus_nom2)) +
    caus_tdoc +
    CONVERT(char(16), caus_id) +
    tipo_pensionado +
    residente_en_exterior + 
    departamento + 
    municipio + 
    situa_en_exterior +
    nov_ING + nov_RET + nov_TDE + nov_TAE + nov_TDP + nov_TAP + nov_VSP + nov_SUS + 
    dbo.fn_fco_cod_super('AFP', cod_AFP) + 
    dbo.fn_fco_cod_super('AFP', cod_AFP_Tras) + -- JCL Dic-05-06
    dbo.fn_fco_cod_super('EPS', cod_EPS) + 
    dbo.fn_fco_cod_super('EPS', cod_EPS_Tras) + -- JCL Dic-05-06
    dbo.fn_fco_cod_super('CCF', cod_CCF) + 
    RIGHT('00' + RTRIM(dias_AFP), 2) + 
    RIGHT('00' + RTRIM(dias_FSP), 2) + 
    RIGHT('00' + RTRIM(dias_EPS), 2) + 
    RIGHT('00' + RTRIM(dias_CCF), 2) + 
    RIGHT('000000000' + RTRIM(mesada), 9) + 
    LEFT(RTRIM(tarifa_AFP) + '0000000', 7) +
    RIGHT('000000000' + RTRIM(aporte_AFP), 9) + 
    RIGHT('000000000' + RTRIM(voluntario_AFP), 9) + 
    RIGHT('000000000' + RTRIM(aporte_total_AFP), 9) + 
    RIGHT('000000000' + RTRIM(valor_no_retenido), 9) + 
    RIGHT('0000000' + RTRIM(aporte_FSP_sol), 7) + 
    RIGHT('0000000' + RTRIM(aporte_FSP_sub), 7) + 
    RIGHT('0000000' + RTRIM(aporte_FSP_sol + aporte_FSP_sub), 7) +  -- jcl nov-07-06
    --LEFT(RTRIM(tarifa_FSP) + '0000000', 7) + -- jcl nov-07-06
    LEFT(RTRIM(tarifa_EPS) + '0000000', 7) + 
    RIGHT('000000000' + RTRIM(aporte_EPS), 9) + 
    RIGHT('000000000' + RTRIM(UPC_adicional), 9) + 
    LEFT(RTRIM(tarifa_CCF) + '0000000', 7) +
    RIGHT('000000000' + RTRIM(aporte_CCF), 9)
FROM fco_pi_pens_rt2
WHERE eliminada = 0
AND aporte_EPS + aporte_AFP + aporte_CCF <> 0
GO
GRANT SELECT ON dbo.vw_fco_pi_pens_rt2 TO PUBLIC
GO
